Subject: bug#77746: [PATCH] sh-mode: Fix incorrect word syntax for punctuation in sh-mode

From: James Cherti <[email-masked]>
Date: Mon, 14 Apr 2025 17:52:54 -0400

On 2025-04-14 17:34, Stefan Monnier via Bug reports for GNU Emacs, the 
Swiss army knife of text editors wrote:
>> This patch marks only the following characters as
>> punctuation: !%^~:,
> 
> Same problem as before: by just changing the syntax-table willy-nilly
> you're affecting a lot more code than the one you care about, and we
> don't know what the impact will be.
> 
> You may want to set `dabbrev-abbrev-char-regexp` instead, for example.
> 
> 
>          Stefan

Thank you for suggesting a solution for dabbrev. However,
this won't address the issue with symbol highlighting
using the built-in (highlight-symbol-at-point) function.

For context: I have been using the syntax table introduced
by this patch for over a year in extensive Bash scripting (I
write hundreds of Bash scripts annually), and I have not
encountered any issues with `sh-mode` or `bash-ts-mode` when
this patch is applied.

That said, I understand there may be use cases outside my
workflow where this change could impact users who use
sh-mode differently.

I'll leave the decision to your judgment, given your
long-standing experience maintaining Emacs.

--
James Cherti
GitHub: https://github.com/jamescherti
Website: https://www.jamescherti.com/